Bug 324690 - QMLJS crashes when parsing a QML file
Summary: QMLJS crashes when parsing a QML file
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Applications
Component: general (show other bugs)
Version: 4.5.60
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 4.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-09-09 10:13 UTC by Daniel Vrátil
Modified: 2013-10-01 08:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
File that causes the crash (2.44 KB, text/plain)
2013-09-30 18:10 UTC, Daniel Vrátil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Vrátil 2013-09-09 10:13:41 UTC
Application: kdevelop (4.5.60)
KDE Platform Version: 4.11.00 (Compiled from sources)
Qt Version: 4.8.5
Operating System: Linux 3.10.10-200.fc19.x86_64 x86_64
Distribution: "Fedora release 19 (Schrödinger’s Cat)"

-- Information about the crash:
- What I was doing when the application crashed:
I started KDevelop session (with all  KDE Telepathy projects), it started parsing files and suddenly crashed on a QML file (judging from the backtrace).

This happens every time, but I don't know which file triggers the crash. Reproducible on latest git build of kdevplatform, kdevelop and kdev-qmljs.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
185	62:	movl	(%rsp), %edi
[Current thread is 1 (Thread 0x7fdf0a0298c0 (LWP 26172))]

Thread 31 (Thread 0x7fdefd8a8700 (LWP 26173)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000037cb7860bb in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x37cba83f00 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00000037cb7860f9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00000037b4807c53 in start_thread (arg=0x7fdefd8a8700) at pthread_create.c:308
#4  0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 30 (Thread 0x7fde77c89700 (LWP 26175)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00000037bbc7b1c4 in wait (time=1000, this=0x3e31700) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x3e387f0, time=1000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fdf0aa9e5e8 in KDevelop::DUChainPrivate::CleanupThread::run() () from /lib64/libkdevplatformlanguage.so.7
#4  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x3e387d0) at thread/qthread_unix.cpp:338
#5  0x00000037b4807c53 in start_thread (arg=0x7fde77c89700) at pthread_create.c:308
#6  0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 29 (Thread 0x7fde7678c700 (LWP 26176)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7fde680013e0, timeout=-1, context=0x7fde680009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fde680009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fde680009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fde680008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fde7678bd20, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fde7678bd20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#8  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x47c06a8) at thread/qthread_unix.cpp:338
#9  0x00000037b4807c53 in start_thread (arg=0x7fde7678c700) at pthread_create.c:308
#10 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 28 (Thread 0x7fde59e77700 (LWP 26179)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7fde54002cc0, timeout=-1, context=0x7fde540009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fde540009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fde540009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7166 in QEventDispatcherGlib::processEvents (this=0x7fde540008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fde59e76d20, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fde59e76d20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#8  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x4c63ee0) at thread/qthread_unix.cpp:338
#9  0x00000037b4807c53 in start_thread (arg=0x7fde59e77700) at pthread_create.c:308
#10 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 27 (Thread 0x7fde502e2700 (LWP 26180)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7fde48002cc0, timeout=-1, context=0x7fde480009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fde480009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fde480009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fde480008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fde502e1d20, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fde502e1d20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#8  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x568d580) at thread/qthread_unix.cpp:338
#9  0x00000037b4807c53 in start_thread (arg=0x7fde502e2700) at pthread_create.c:308
#10 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 26 (Thread 0x7fde4fae1700 (LWP 26181)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7fde40002ec0, timeout=-1, context=0x7fde400009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fde400009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fde400009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fde400008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fde4fae0d20, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fde4fae0d20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#8  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x5696830) at thread/qthread_unix.cpp:338
#9  0x00000037b4807c53 in start_thread (arg=0x7fde4fae1700) at pthread_create.c:308
#10 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 25 (Thread 0x7fde4c86b700 (LWP 26285)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fde44002b30, timeout=-1, context=0x7fde44002a70) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fde44002a70, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fde44002a70, may_block=1) at gmain.c:3762
#4  0x00000037bbda7166 in QEventDispatcherGlib::processEvents (this=0x7fde444fe400, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fde4c86ace0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fde4c86ace0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x7c67350) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x7c67350) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x7c67350) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fde4c86b700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 24 (Thread 0x7fde3ffff700 (LWP 26300)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000037bbc7b1e6 in wait (time=18446744073709551615, this=0x2f494e0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2f493b8, mutex=0x2f49660, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000037e180a85c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2f49390, th=0x54782a0) at /usr/src/debug/kdelibs-4.11.0/threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00000037e180d2f3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2f496f0, th=0x54782a0, previous=0x0) at /usr/src/debug/kdelibs-4.11.0/threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00000037e180d30c in ThreadWeaver::WorkingHardState::applyForWork (this=0x2f496f0, th=0x54782a0, previous=0x9a55850) at /usr/src/debug/kdelibs-4.11.0/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00000037e180c00f in ThreadWeaver::Thread::run (this=0x54782a0) at /usr/src/debug/kdelibs-4.11.0/threadweaver/Weaver/Thread.cpp:98
#7  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x54782a0) at thread/qthread_unix.cpp:338
#8  0x00000037b4807c53 in start_thread (arg=0x7fde3ffff700) at pthread_create.c:308
#9  0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 23 (Thread 0x7fde3e7fc700 (LWP 26301)):
[KCrash Handler]
#6  0x00000037b3c35a19 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00000037b3c37128 in __GI_abort () at abort.c:90
#8  0x00000037bbc70904 in qt_message_output (msgType=msgType@entry=QtFatalMsg, buf=<optimized out>) at global/qglobal.cpp:2323
#9  0x00000037bbc70a89 in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=msgType@entry=QtFatalMsg, msg=msg@entry=0x37bbddb278 "ASSERT: \"%s\" in file %s, line %d", ap=ap@entry=0x7fde3e7fb5c8) at global/qglobal.cpp:2369
#10 0x00000037bbc71294 in qFatal (msg=msg@entry=0x37bbddb278 "ASSERT: \"%s\" in file %s, line %d") at global/qglobal.cpp:2552
#11 0x00000037bbc712d6 in qt_assert (assertion=assertion@entry=0x7fde3cda1ed8 "currentDeclaration<ClassDeclaration>()", file=file@entry=0x7fde3cda1e98 "/home/data/clones/kdev-qmljs/duchain/declarationbuilder.cpp", line=line@entry=189) at global/qglobal.cpp:2018
#12 0x00007fde3cd9c885 in DeclarationBuilder::visit (this=0x7fde3e7fbb60, node=<optimized out>) at /home/data/clones/kdev-qmljs/duchain/declarationbuilder.cpp:189
#13 0x00007fde2fd44bb0 in QmlJS::AST::UiObjectInitializer::accept0 (this=0x7fdd888b4b18, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:821
#14 0x00007fde2fd44861 in QmlJS::AST::Node::accept (this=0x7fdd888b4b18, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:41
#15 0x00007fde2fd4488a in QmlJS::AST::Node::accept (node=<optimized out>, visitor=<optimized out>) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:49
#16 0x00007fde2fd44b68 in QmlJS::AST::UiObjectBinding::accept0 (this=0x7fdd888b4c68, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:840
#17 0x00007fde2fd44861 in QmlJS::AST::Node::accept (this=0x7fdd888b4c68, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:41
#18 0x00007fde2fd4488a in QmlJS::AST::Node::accept (node=<optimized out>, visitor=<optimized out>) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:49
#19 0x00007fde2fd44c7c in QmlJS::AST::UiPublicMember::accept0 (this=0x7fdd888b4b50, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:803
#20 0x00007fde2fd44861 in QmlJS::AST::Node::accept (this=0x7fdd888b4b50, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:41
#21 0x00007fde2fd4488a in QmlJS::AST::Node::accept (node=<optimized out>, visitor=<optimized out>) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:49
#22 0x00007fde2fd44a4c in QmlJS::AST::UiObjectMemberList::accept0 (this=0x7fdd888b47b8, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:870
#23 0x00007fde2fd44861 in QmlJS::AST::Node::accept (this=0x7fdd888b47b8, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:41
#24 0x00007fde2fd4488a in QmlJS::AST::Node::accept (node=<optimized out>, visitor=<optimized out>) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:49
#25 0x00007fde2fd44bc0 in QmlJS::AST::UiObjectInitializer::accept0 (this=0x7fdd88136338, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:822
#26 0x00007fde2fd44861 in QmlJS::AST::Node::accept (this=0x7fdd88136338, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:41
#27 0x00007fde2fd4488a in QmlJS::AST::Node::accept (node=<optimized out>, visitor=<optimized out>) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:49
#28 0x00007fde2fd44c1c in QmlJS::AST::UiObjectDefinition::accept0 (this=0x7fdd88136370, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:813
#29 0x00007fde2fd44861 in QmlJS::AST::Node::accept (this=0x7fdd88136370, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:41
#30 0x00007fde2fd4488a in QmlJS::AST::Node::accept (node=<optimized out>, visitor=<optimized out>) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:49
#31 0x00007fde2fd44a4c in QmlJS::AST::UiObjectMemberList::accept0 (this=0x7fdd88136390, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:870
#32 0x00007fde2fd44861 in QmlJS::AST::Node::accept (this=0x7fdd88136390, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:41
#33 0x00007fde2fd4488a in QmlJS::AST::Node::accept (node=<optimized out>, visitor=<optimized out>) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:49
#34 0x00007fde2fd44cdc in QmlJS::AST::UiProgram::accept0 (this=0x7fdd881363b0, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:793
#35 0x00007fde2fd44861 in QmlJS::AST::Node::accept (this=0x7fdd881363b0, visitor=0x7fde3e7fbbc0) at /home/data/clones/kdev-qmljs/libs/qmljs/parser/qmljsast.cpp:41
#36 0x00007fde3cd9ad48 in KDevelop::AbstractContextBuilder<QmlJS::AST::Node, QmlJS::AST::IdentifierPropertyName>::supportBuild (this=this@entry=0x7fde3e7fbb60, node=node@entry=0x7fdd881363b0, context=context@entry=0x7fdd8d105090) at /usr/include/kde4/kdevplatform/language/duchain/builders/abstractcontextbuilder.h:133
#37 0x00007fde3cd9f937 in KDevelop::AbstractTypeBuilder<QmlJS::AST::Node, QmlJS::AST::IdentifierPropertyName, ContextBuilder>::supportBuild (this=0x7fde3e7fbb60, node=0x7fdd881363b0, context=0x7fdd8d105090) at /usr/include/kde4/kdevplatform/language/duchain/builders/abstracttypebuilder.h:85
#38 0x00007fde3cd9bce1 in KDevelop::AbstractContextBuilder<QmlJS::AST::Node, QmlJS::AST::IdentifierPropertyName>::build (this=this@entry=0x7fde3e7fbb60, url=..., node=node@entry=0x7fdd881363b0, updateContext=...) at /usr/include/kde4/kdevplatform/language/duchain/builders/abstractcontextbuilder.h:113
#39 0x00007fde3cd9cbba in DeclarationBuilder::build (this=this@entry=0x7fde3e7fbb60, url=..., node=node@entry=0x7fdd881363b0, updateContext=...) at /home/data/clones/kdev-qmljs/duchain/declarationbuilder.cpp:74
#40 0x00007fde3d01d239 in QmlJsParseJob::run (this=0x9a3c220) at /home/data/clones/kdev-qmljs/qmljsparsejob.cpp:79
#41 0x00000037e180c6a2 in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7fde3e7fbce0, th=th@entry=0x5220260, job=job@entry=0x9a3c220) at /usr/src/debug/kdelibs-4.11.0/threadweaver/Weaver/Job.cpp:106
#42 0x00000037e180c85e in ThreadWeaver::Job::execute (this=0x9a3c220, th=0x5220260) at /usr/src/debug/kdelibs-4.11.0/threadweaver/Weaver/Job.cpp:135
#43 0x00000037e180c0ab in ThreadWeaver::Thread::run (this=0x5220260) at /usr/src/debug/kdelibs-4.11.0/threadweaver/Weaver/Thread.cpp:108
#44 0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x5220260) at thread/qthread_unix.cpp:338
#45 0x00000037b4807c53 in start_thread (arg=0x7fde3e7fc700) at pthread_create.c:308
#46 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 22 (Thread 0x7fde3f7fe700 (LWP 26308)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000037e04cd34d in WTF::TCMalloc_PageHeap::scavengerThread (this=<optimized out>) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/FastMalloc.cpp:2571
#2  0x00000037e04cd389 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/FastMalloc.cpp:1767
#3  0x00000037b4807c53 in start_thread (arg=0x7fde3f7fe700) at pthread_create.c:308
#4  0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 21 (Thread 0x7fde3effd700 (LWP 26313)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000037e020dadd in JSC::BlockAllocator::blockFreeingThreadMain (this=0x7fdefce7f398) at /usr/src/debug/webkit-qtwebkit-23/Source/JavaScriptCore/heap/BlockAllocator.cpp:128
#2  0x00000037e04fcba6 in WTF::wtfThreadEntryPoint (param=0x2850050) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/ThreadingPthreads.cpp:196
#3  0x00000037b4807c53 in start_thread (arg=0x7fde3effd700) at pthread_create.c:308
#4  0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 20 (Thread 0x7fde3c944700 (LWP 26329)):
#0  0x00007fff4d7fe903 in clock_gettime ()
#1  0x00000037b3d099ad in clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00000037bbccf537 in do_gettime (frac=0x7fde3c943ad0, sec=0x7fde3c943ac8) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0x00000037bbda87f5 in updateCurrentTime (this=0x7fdde0001440) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=0x7fdde0001440, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0x00000037bbda6f9c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7fde3c943b64) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00000037b684779d in g_main_context_prepare (context=context@entry=0x7fdde00009c0, priority=priority@entry=0x7fde3c943be8) at gmain.c:3328
#8  0x00000037b6848013 in g_main_context_iterate (context=context@entry=0x7fdde00009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3681
#9  0x00000037b68481fc in g_main_context_iteration (context=0x7fdde00009c0, may_block=1) at gmain.c:3762
#10 0x00000037bbda7166 in QEventDispatcherGlib::processEvents (this=0x7fdde00008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#11 0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fde3c943d20, flags=...) at kernel/qeventloop.cpp:149
#12 0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fde3c943d20, flags=...) at kernel/qeventloop.cpp:204
#13 0x00000037bbc7866f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#14 0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x69ab780) at thread/qthread_unix.cpp:338
#15 0x00000037b4807c53 in start_thread (arg=0x7fde3c944700) at pthread_create.c:308
#16 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 19 (Thread 0x7fde2e9b3700 (LWP 26440)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fddd80017c0, timeout=-1, context=0x7fddd80009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fddd80009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fddd80009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fddd80008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fde2e9b2ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fde2e9b2ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x2d44b30) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x2d44b30) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x2d44b30) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fde2e9b3700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 18 (Thread 0x7fde2d9b1700 (LWP 26452)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fddd00029c0, timeout=-1, context=0x7fddd00009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fddd00009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fddd00009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fddd00008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fde2d9b0ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fde2d9b0ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x2d42b60) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x2d42b60) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x2d42b60) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fde2d9b1700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 17 (Thread 0x7fde2c9af700 (LWP 26466)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fddcc0029c0, timeout=-1, context=0x7fddcc0009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fddcc0009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fddcc0009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fddcc0008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fde2c9aece0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fde2c9aece0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x2ceb640) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x2ceb640) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x2ceb640) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fde2c9af700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 16 (Thread 0x7fdde77fc700 (LWP 26475)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fddc4002bc0, timeout=-1, context=0x7fddc40009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fddc40009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fddc40009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fddc40008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fdde77fbce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fdde77fbce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x2c96db0) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x2c96db0) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x2c96db0) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fdde77fc700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 15 (Thread 0x7fdde67fa700 (LWP 26477)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fddb80027c0, timeout=-1, context=0x7fddb80009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fddb80009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fddb80009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fddb80008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fdde67f9ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fdde67f9ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x2e033d0) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x2e033d0) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x2e033d0) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fdde67fa700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 14 (Thread 0x7fdde5ff9700 (LWP 26488)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fddbc002bc0, timeout=-1, context=0x7fddbc0009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fddbc0009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fddbc0009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fddbc0008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fdde5ff8ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fdde5ff8ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x2c0acd0) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x2c0acd0) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x2c0acd0) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fdde5ff9700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 13 (Thread 0x7fdde57f8700 (LWP 26505)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fddb0002bc0, timeout=-1, context=0x7fddb00009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fddb00009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fddb00009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fddb00008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fdde57f7ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fdde57f7ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x2d687f0) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x2d687f0) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x2d687f0) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fdde57f8700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 12 (Thread 0x7fdde4ff7700 (LWP 26510)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fddb40029c0, timeout=-1, context=0x7fddb40009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fddb40009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fddb40009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fddb40008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fdde4ff6ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fdde4ff6ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x2a98650) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x2a98650) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x2a98650) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fdde4ff7700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7fddaffff700 (LWP 26517)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fdda8002ae0, timeout=-1, context=0x7fdda80009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fdda80009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fdda80009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fdda80008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fddafffece0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fddafffece0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x2ca2110) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x2ca2110) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x2ca2110) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fddaffff700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7fddaf7fe700 (LWP 26522)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fdda00029c0, timeout=-1, context=0x7fdda00009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fdda00009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fdda00009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fdda00008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fddaf7fdce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fddaf7fdce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x7ea4850) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x7ea4850) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x7ea4850) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fddaf7fe700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7fddaeffd700 (LWP 26523)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fdda40029c0, timeout=-1, context=0x7fdda40009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fdda40009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fdda40009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7166 in QEventDispatcherGlib::processEvents (this=0x7fdda40008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fddaeffcce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fddaeffcce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x7f0f7d0) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x7f0f7d0) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x7f0f7d0) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fddaeffd700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7fddae7fc700 (LWP 26530)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fdd98002bc0, timeout=-1, context=0x7fdd980009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fdd980009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fdd980009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7166 in QEventDispatcherGlib::processEvents (this=0x7fdd980008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fddae7fbce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fddae7fbce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x7f9ace0) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x7f9ace0) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x7f9ace0) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fddae7fc700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7fddadffb700 (LWP 26535)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fdd9c0029c0, timeout=-1, context=0x7fdd9c0009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fdd9c0009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fdd9c0009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fdd9c0008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fddadfface0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fddadfface0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x7fc05e0) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x7fc05e0) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x7fc05e0) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fddadffb700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7fddad7fa700 (LWP 26545)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fdd900029c0, timeout=-1, context=0x7fdd900009c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fdd900009c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fdd900009c0, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fdd900008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fddad7f9ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fddad7f9ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x7eee230) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x7eee230) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x7eee230) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fddad7fa700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7fddacff9700 (LWP 26549)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x818aea0, timeout=-1, context=0x8152c30) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x8152c30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x8152c30, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x818aad0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fddacff8ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fddacff8ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x80d02a0) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x80d02a0) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x80d02a0) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fddacff9700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fdd97fff700 (LWP 26551)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fdd90004b70, timeout=-1, context=0x7fdd90002b70) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fdd90002b70, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fdd90002b70, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fdd90002a90, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fdd97ffece0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fdd97ffece0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x8137e70) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x8137e70) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x8137e70) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fdd97fff700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fdd977fe700 (LWP 26552)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7fdd9c004d70, timeout=-1, context=0x7fdd9c002b70) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fdd9c002b70, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fdd9c002b70, may_block=1) at gmain.c:3762
#4  0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x7fdd9c002a90, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fdd977fdce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fdd977fdce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=this@entry=0x80ed990) at thread/qthread.cpp:536
#8  0x00000037bbd5a733 in QInotifyFileSystemWatcherEngine::run (this=0x80ed990) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0x80ed990) at thread/qthread_unix.cpp:338
#10 0x00000037b4807c53 in start_thread (arg=0x7fdd977fe700) at pthread_create.c:308
#11 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fde2e1b2700 (LWP 28469)):
#0  0x00000037b3ceb76d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000037b68480f4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7fdddcd5c1b0, timeout=-1, context=0x7fdddcd1c920) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7fdddcd1c920, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000037b68481fc in g_main_context_iteration (context=0x7fdddcd1c920, may_block=1) at gmain.c:3762
#4  0x00000037bbda7166 in QEventDispatcherGlib::processEvents (this=0x7fdddcb52870, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fde2e1b1d20, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fde2e1b1d20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00000037bbc7866f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#8  0x00000037bbc7ad0f in QThreadPrivate::start (arg=0xae3c770) at thread/qthread_unix.cpp:338
#9  0x00000037b4807c53 in start_thread (arg=0x7fde2e1b2700) at pthread_create.c:308
#10 0x00000037b3cf5d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fdf0a0298c0 (LWP 26172)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000037bbc7b1e6 in wait (time=18446744073709551615, this=0x47c4cd0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x47c4c80, mutex=mutex@entry=0x47c4c58, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000037bbc7a8de in QThread::wait (this=<optimized out>, time=18446744073709551615) at thread/qthread_unix.cpp:709
#4  0x00007fdf0c04021c in ~ParsingThread (this=<optimized out>, this=<optimized out>) at /home/data/clones/kdevplatform/outputview/outputmodel.cpp:147
#5  ~ParsingThread (this=<optimized out>, this=<optimized out>) at /home/data/clones/kdevplatform/outputview/outputmodel.cpp:144
#6  KDevelop::ParsingThread::~ParsingThread (this=0x47c06a0) at /home/data/clones/kdevplatform/outputview/outputmodel.cpp:144
#7  0x00000037b3c392a9 in __run_exit_handlers (status=1, listp=0x37b3fba6e8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:77
#8  0x00000037b3c392f5 in __GI_exit (status=<optimized out>) at exit.c:99
#9  0x00000037be42ec68 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:772
#10 0x00000037c3c3e940 in KApplication::xioErrhandler (this=0x7fff4d7cece8, dpy=0x2476910) at /usr/src/debug/kdelibs-4.11.0/kdeui/kernel/kapplication.cpp:419
#11 0x00000037b5c43cce in _XIOError (dpy=dpy@entry=0x2476910) at XlibInt.c:1498
#12 0x00000037b5c4169d in _XEventsQueued (dpy=dpy@entry=0x2476910, mode=mode@entry=2) at xcb_io.c:366
#13 0x00000037b5c3378b in XEventsQueued (dpy=0x2476910, mode=2) at Pending.c:43
#14 0x00000037be464a2c in x11EventSourceCheck (s=0x243d400) at kernel/qguieventdispatcher_glib.cpp:85
#15 0x00000037b6847b71 in g_main_context_check (context=context@entry=0x243c240, max_priority=2147483647, fds=fds@entry=0x8028270, n_fds=n_fds@entry=12) at gmain.c:3545
#16 0x00000037b684808b in g_main_context_iterate (context=context@entry=0x243c240, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3698
#17 0x00000037b68481fc in g_main_context_iteration (context=0x243c240, may_block=1) at gmain.c:3762
#18 0x00000037bbda7145 in QEventDispatcherGlib::processEvents (this=0x23973f0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#19 0x00000037be464fc6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#20 0x00000037bbd78ecf in QEventLoop::processEvents (this=this@entry=0x7fff4d7ce5d0, flags=...) at kernel/qeventloop.cpp:149
#21 0x00000037bbd791c5 in QEventLoop::exec (this=this@entry=0x7fff4d7ce5d0, flags=...) at kernel/qeventloop.cpp:204
#22 0x00000037bbd7e45b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#23 0x0000000000416a8b in main (argc=<optimized out>, argv=0x297cf40) at /home/data/clones/kdevelop/app/main.cpp:561

Possible duplicates by query: bug 324446, bug 324432, bug 322472, bug 321758, bug 320715.

Reported using DrKonqi
Comment 1 Milian Wolff 2013-09-28 16:02:01 UTC
I'll need the QML file for that. Please enable the language debug area (9505) in kdebugdialog and then start kdevelop from the CLI and note the debug output. The last lines of  the format "creating parse-job KUrl("file:///home/m...") new count of active parse-jobs: 2" are interesting. Take as many lines of that as you like, though up to what ever you configured as max num of parse jobs should suffice. Then open them in a standalone kdevelop session to figure out which file it is.
Comment 2 Daniel Vrátil 2013-09-30 18:10:47 UTC
Created attachment 82563 [details]
File that causes the crash

Attached is the file that causes KDevelop to crash.

Output from KDevelop:

kdevelop(5493)/kdevplatform (language) KDevelop::BackgroundParserPrivate::parseDocumentsInternal: creating parse-job KUrl("file:///home/progdan/projects/telepathy/ktp-desktop-applets/contactlist/org.kde.ktp-contactlist/contents/ui/ExternalLabel.qml") new count of active parse-jobs: 1
ASSERT: "currentDeclaration<ClassDeclaration>()" in file /home/data/clones/kdev-qmljs/duchain/declarationbuilder.cpp, line 189
QSocketNotifier: Invalid socket 7 and type 'Read', disabling...
KCrash: Application 'kdevelop' crashing...
QSocketNotifier: Invalid socket 13 and type 'Read', disabling...
QSocketNotifier: Invalid socket 26 and type 'Read', disabling...
QSocketNotifier: Invalid socket 41 and type 'Read', disabling...
QSocketNotifier: Invalid socket 52 and type 'Read', disabling...
KCrash: Attempting to start /usr/libexec/kde4/drkonqi from kdeinit
kdevelop: Fatal IO error: client killed
sock_file=/home/progdan/.kde/socket-Odin/kdeinit4__0
FunctionDeclarationData::m_defaultParameters There were items left on destruction: 10713
SpecialTemplateDeclarationData::m_specializations There were items left on destruction: 8148
ClassFunctionDeclarationData::m_defaultParameters There were items left on destruction: 21042
ClassDeclarationData::baseClasses There were items left on destruction: 2933
Unable to start Dr. Konqi
Comment 3 Milian Wolff 2013-09-30 21:50:38 UTC
Jup, can reproduce. This line confuses the plugin:

     property QtObject theme: PlasmaCore.Theme {}

I'll try to fix it once I have some more time. Lets see :)
Comment 4 Milian Wolff 2013-09-30 22:11:07 UTC
Git commit 29a72f5c1234f1a47404e02d763da923be97fb58 by Milian Wolff.
Committed on 30/09/2013 at 22:08.
Pushed by mwolff into branch 'master'.

Support UiObjectInitializer without ClassDeclarations.

This is valid QML and thus must be supported. In the future we
might want to create ClassDeclarations for UiObjectBinding as
well though.

M  +4    -3    duchain/declarationbuilder.cpp

http://commits.kde.org/kdev-qmljs/29a72f5c1234f1a47404e02d763da923be97fb58
Comment 5 Daniel Vrátil 2013-10-01 08:16:46 UTC
You are awesome! Thanks!